<html>
<head>
<title>Ogre::Viewport::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Viewport_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Viewport::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Viewport::Listener" -->
<p><a class="el" href="classOgre_1_1Viewport_1_1Listener.html" title="Listener interface so you can be notified of Viewport changes.">Listener</a> interface so you can be notified of <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> changes.  
 <a href="classOgre_1_1Viewport_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreViewport_8h_source.html">OgreViewport.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Viewport::Listener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Viewport_1_1Listener__inherit__graph.gif" border="0" usemap="#Ogre_1_1Viewport_1_1Listener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Viewport_1_1Listener_inherit__map" id="Ogre_1_1Viewport_1_1Listener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1CompositorChain.html" title="Chain of compositor effects applying to one viewport." alt="" coords="8,83,165,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Viewport_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport_1_1Listener.html#ab9fb43cd526638dc455a38042b17f3d4">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport_1_1Listener.html#afb346e20dd7063cea357dcee43051323">viewportCameraChanged</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *viewport)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notification of when a new camera is set to target listening <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>.  <a href="#afb346e20dd7063cea357dcee43051323"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport_1_1Listener.html#a5cb3df5ec2a4e6af754c68769dd332c8">viewportDimensionsChanged</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *viewport)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notification of when target listening <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>'s dimensions changed.  <a href="#a5cb3df5ec2a4e6af754c68769dd332c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Viewport_1_1Listener.html#aa06d47f2e2453b361319a28719c87501">viewportDestroyed</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *viewport)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notification of when target listening <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>'s is destroyed.  <a href="#aa06d47f2e2453b361319a28719c87501"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1Viewport_1_1Listener.html" title="Listener interface so you can be notified of Viewport changes.">Listener</a> interface so you can be notified of <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> changes. </p>

<p>Definition at line <a class="el" href="OgreViewport_8h_source.html#l00060">60</a> of file <a class="el" href="OgreViewport_8h_source.html">OgreViewport.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab9fb43cd526638dc455a38042b17f3d4"></a><!-- doxytag: member="Ogre::Viewport::Listener::~Listener" ref="ab9fb43cd526638dc455a38042b17f3d4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Viewport_1_1Listener.html#ab9fb43cd526638dc455a38042b17f3d4">Ogre::Viewport::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreViewport_8h_source.html#l00063">63</a> of file <a class="el" href="OgreViewport_8h_source.html">OgreViewport.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="afb346e20dd7063cea357dcee43051323"></a><!-- doxytag: member="Ogre::Viewport::Listener::viewportCameraChanged" ref="afb346e20dd7063cea357dcee43051323" args="(Viewport *viewport)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Viewport_1_1Listener.html#afb346e20dd7063cea357dcee43051323">Ogre::Viewport::Listener::viewportCameraChanged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>viewport</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notification of when a new camera is set to target listening <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#afcdb64f3ad007103bfcf847f033397bf">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreViewport_8h_source.html#l00066">66</a> of file <a class="el" href="OgreViewport_8h_source.html">OgreViewport.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa06d47f2e2453b361319a28719c87501"></a><!-- doxytag: member="Ogre::Viewport::Listener::viewportDestroyed" ref="aa06d47f2e2453b361319a28719c87501" args="(Viewport *viewport)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Viewport_1_1Listener.html#aa06d47f2e2453b361319a28719c87501">Ogre::Viewport::Listener::viewportDestroyed</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>viewport</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notification of when target listening <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>'s is destroyed. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#ae2490cf32dbd5c46885b89d3e57da671">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreViewport_8h_source.html#l00072">72</a> of file <a class="el" href="OgreViewport_8h_source.html">OgreViewport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5cb3df5ec2a4e6af754c68769dd332c8"></a><!-- doxytag: member="Ogre::Viewport::Listener::viewportDimensionsChanged" ref="a5cb3df5ec2a4e6af754c68769dd332c8" args="(Viewport *viewport)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Viewport_1_1Listener.html#a5cb3df5ec2a4e6af754c68769dd332c8">Ogre::Viewport::Listener::viewportDimensionsChanged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>viewport</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notification of when target listening <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>'s dimensions changed. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#a6bcbed94720a5c81d103cb42cb9035ba">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreViewport_8h_source.html#l00069">69</a> of file <a class="el" href="OgreViewport_8h_source.html">OgreViewport.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreViewport_8h_source.html">OgreViewport.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
